#
# spec file for package thermald
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           thermald
Version:        1.6
Release:        lp150.1.5
Summary:        The Linux Thermal Daemon program from 01.org
License:        GPL-2.0+
Group:          System/Daemons
Url:            https://01.org/linux-thermal-daemon
Source0:        https://github.com/01org/thermal_daemon/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        thermald.conf
BuildRequires:  automake
BuildRequires:  dbus-1-devel
BuildRequires:  dbus-1-glib-devel
BuildRequires:  gcc-c++
BuildRequires:  glib2-devel
BuildRequires:  libxml2-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(systemd)
ExclusiveArch:  %{ix86} x86_64

%description
Thermald is a Linux daemon used to prevent the overheating of platforms.
This daemon monitors temperature and applies compensation using available cooling methods.

%prep
%setup -q -n thermal_daemon-%{version}

%build
autoreconf -fiv
%configure
make %{?_smp_mflags} CFLAGS="%{optflags}"

%pre
%service_add_pre thermald.service

%install
%make_install

# Upstart file not needed
rm %{buildroot}%{_sysconfdir}/init/thermald.conf
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rcthermald
install -Dm644 "%{_sourcedir}/thermald.conf" "%{buildroot}/%{_libexecdir}/modules-load.d/thermald.conf"

%post
%service_add_post thermald.service

%preun
%service_del_preun thermald.service

%postun
%service_del_postun thermald.service

%files
%defattr(-,root,root)
%dir %{_datadir}/dbus-1/system-services
%dir %{_sysconfdir}/dbus-1/system.d
%dir %{_sysconfdir}/thermald
%config %{_sysconfdir}/dbus-1/system.d/org.freedesktop.thermald.conf
%config %{_sysconfdir}/thermald/thermal-conf.xml
%config %{_sysconfdir}/thermald/thermal-cpu-cdev-order.xml
%{_datadir}/dbus-1/system-services/org.freedesktop.thermald.service
%{_mandir}/man5/thermal-conf.xml.5%{ext_man}
%{_mandir}/man8/thermald.8%{ext_man}
%{_sbindir}/thermald
%dir %{_libexecdir}/modules-load.d
%{_libexecdir}/modules-load.d/thermald.conf
%{_unitdir}/thermald.service
%{_sbindir}/rcthermald

%changelog
* Mon Mar 27 2017 fvogt@suse.com
- Use the correct file for installation as module list (boo#1028596)
- Update to version 1.6:
  * Add Kabylake and missing Broadwell CPU model
  * Removed deprecated modules
  * Added passive trip between critical and max, to allow fan to take control first
  * Fixed clash when multiple zones and trips controlling same cdev
* Wed Jan 11 2017 mpluskal@suse.com
- Update to version 1.5.4:
  * Use Processor thermal device in lieu of CPU zone when present
  * Haswell/Skylake PCH sensor
  * Fix regression in LCD/Backlight path
- Packaging cleanup:
  - Run spec-cleaner
  - Use pretty name for downloaded archive
  - Drop not needed service
  - Remove fedora conditionals
* Tue Mar 29 2016 dvaleev@suse.com
- Set exclusivearch to intel architectures
* Tue Mar  8 2016 fvogt@suse.com
- Disable installation of upstart file
* Mon Mar  7 2016 fvogt@suse.com
- Remove implicit %%configure parameters
* Mon Mar  7 2016 fvogt@suse.com
- Change URL from GitHub to the official page
* Sun Mar  6 2016 bosim@opensuse.org
- Upgraded to upstream version 1.5.3
* Fri Nov  6 2015 fvogt@suse.com
- Disable _service and run manually
* Tue Nov  3 2015 fvogt@suse.com
- Initial commit
- Branch from home:assmannst, fix various small issues
